from flask import (
    Blueprint, flash, g, redirect, render_template, request, session, url_for
)
from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker
from auth import login_required

from config import CONFIG 
from create_db import User

bp = Blueprint('menu', __name__, url_prefix='/menu')

engine = create_engine(CONFIG['DB_CONNECTION'])
dbsessionmaker = sessionmaker(bind=engine)
dbsession = dbsessionmaker()

@bp.route("/", methods=("GET", "POST"))
def index():
    if 'user_id' in session:
        user_id = session['user_id']
        username = session['username']

        print(username)

        if request.method == 'POST':
            action = request.form.get("menu", False) #internetna rešitev, nevem kako, ampak dela, tj. dobi info iz meni buttonov
            print(action)
            if action == "new_session":
                return redirect(url_for("deck"))
            elif action == "matches":
                pass
            elif action == "upload":
                pass
            elif action == "settings":
                pass
            elif action == "instructions":
                pass
            elif action == "about":
                pass


    return render_template("menu/menu.html", username=username)

